Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.snalu62.inbound
Interface SNAInboundConfiguration.SNAInboundServiceSchedule

Enclosing interface:
  SNAInboundConfiguration

    public static interface SNAInboundConfiguration.SNAInboundServiceSchedule

The configuration object for inbound ServiceSchedule section. For more information about each method, see the corresponding online help for the eWay configuration editor GUI.

Version:
  cvs revision: $Revision: 1.5 $ Last Modified: $Date: 2007/12/12 00:11:34 $
Author:
  Harry Liu (harryliu@seebeyond.com)

Method Summary
`boolean` | `getAtFixedRate()` Gets AtFixedRate
`long` | `getDelay()` Gets Delay
`long` | `getPeriod()` Gets Period
`java.lang.String` | `getScheduler()` Gets Scheduler
`java.lang.String` | `getScheduleType()` Gets ScheduleType
`boolean` | `isAtFixedRate()` Is AtFixedRate?
`boolean` | `isOneTimeScheduleType()` Is OneTimeScheduleType?
`boolean` | `isRepeatedScheduleType()` Is RepeatedScheduleType?
`boolean` | `isTimerServiceScheduler()` Is TimerServiceScheduler?
`boolean` | `isWorkManagerScheduler()` Is WorkManagerScheduler?
`void` | `setAtFixedRate(boolean atFixedRate)` Sets AtFixedRate
`void` | `setDelay(long aDelay)` Sets Delay
`void` | `setPeriod(long aPeriod)` Sets Period
`void` | `setScheduler(java.lang.String aScheduler)` Sets Scheduler
`void` | `setScheduleType(java.lang.String aScheduleType)` Sets ScheduleType
`void` | `validate()` Validates inbound ServiceSchedule section

Method Detail

### isAtFixedRate

    boolean isAtFixedRate()

  Is AtFixedRate?

  Returns:
    Flag AtFixedRate

### getAtFixedRate

    boolean getAtFixedRate()

  Gets AtFixedRate

  Returns:
    AtFixedRate

### getDelay

    long getDelay()

  Gets Delay

  Returns:
    Delay

### getPeriod

    long getPeriod()

  Gets Period

  Returns:
    Period

### getScheduler

    java.lang.String getScheduler()

  Gets Scheduler

  Returns:
    Scheduler

### isTimerServiceScheduler

    boolean isTimerServiceScheduler()

  Is TimerServiceScheduler?

  Returns:
    Flag TimerServiceScheduler

### isWorkManagerScheduler

    boolean isWorkManagerScheduler()

  Is WorkManagerScheduler?

  Returns:
    Flag WorkManagerScheduler

### getScheduleType

    java.lang.String getScheduleType()

  Gets ScheduleType

  Returns:
    ScheduleType

### isOneTimeScheduleType

    boolean isOneTimeScheduleType()

  Is OneTimeScheduleType?

  Returns:
    Flag OneTimeScheduleType

### isRepeatedScheduleType

    boolean isRepeatedScheduleType()

  Is RepeatedScheduleType?

  Returns:
    Flag RepeatedScheduleType

### setAtFixedRate

    void setAtFixedRate(boolean atFixedRate)
                        throws SNAApplicationException

  Sets AtFixedRate

  Parameters:
    `atFixedRate` - The AtFixedRate to set
  Throws:
    `SNAApplicationException` - up on error

### setDelay

    void setDelay(long aDelay)
                  throws SNAApplicationException

  Sets Delay

  Parameters:
    `aDelay` - The Delay to set
  Throws:
    `SNAApplicationException` - up on error

### setPeriod

    void setPeriod(long aPeriod)
                   throws SNAApplicationException

  Sets Period

  Parameters:
    `aPeriod` - The Period to set
  Throws:
    `SNAApplicationException` - up on error

### setScheduler

    void setScheduler(java.lang.String aScheduler)
                      throws SNAApplicationException

  Sets Scheduler

  Parameters:
    `aScheduler` - The Scheduler to set
  Throws:
    `SNAApplicationException` - up on error

### setScheduleType

    void setScheduleType(java.lang.String aScheduleType)
                         throws SNAApplicationException

  Sets ScheduleType

  Parameters:
    `aScheduleType` - The ScheduleType to set
  Throws:
    `SNAApplicationException` - up on error

### validate

    void validate()
                  throws SNAApplicationException

  Validates inbound ServiceSchedule section

  Throws:
    `SNAApplicationException` - up on error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SNA LU62 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.